itpp::Selective_Repeat_ARQ_Sender Class Reference

`#include <itpp/protocol/selective_repeat.h>`

## Public Member Functions

| Selective_Repeat_ARQ_Sender ()
| ADD DOCUMENTATION HERE.
| Selective_Repeat_ARQ_Sender (const int Seq_no_size, const int Buffer_size_factor, const int Link_packet_size, const Ttype Time_out)
| ADD DOCUMENTATION HERE.
| ~Selective_Repeat_ARQ_Sender ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const int Seq_no_size, const int Buffer_size_factor, const int Link_packet_size, const Ttype Time_out)
| ADD DOCUMENTATION HERE.
int | buffer_size ()
| ADD DOCUMENTATION HERE.
int | link_packets_buffered ()
| ADD DOCUMENTATION HERE.
int | nof_ready_link_packets ()
| ADD DOCUMENTATION HERE.
int | link_packets_queued_waiting_for_transmission ()
| ADD DOCUMENTATION HERE.
Ttype | link_packets_max_queuing_time ()
| ADD DOCUMENTATION HERE.
void | get_link_packets (const int K, Array< Packet * > &pa)
| ADD DOCUMENTATION HERE.

## Public Attributes

Slot< Selective_Repeat_ARQ_Sender, Packet * > | packet_input
| Receives incoming packets.
Slot< Selective_Repeat_ARQ_Sender, Array< Packet * > > | ack_input
| Receives incoming ack/nacks.
Slot< Selective_Repeat_ARQ_Sender, void * > | query_nof_ready_packets
| Receives incoming query for number of packets ready to transmit.
Slot< Selective_Repeat_ARQ_Sender, int > | packet_output_request
| Receives incoming packet output requests.
Signal< Array< Packet * > > | packet_output
| Delivers transmitted packets.
Signal< int > | nof_ready_packets
| Delivers no ready packets.
Signal< int > | buffer_overflow
| Signals buffer overflows.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 57 of file selective_repeat.h.

## Member Data Documentation

## packet_input

Slot<Selective_Repeat_ARQ_Sender, Packet*> itpp::Selective_Repeat_ARQ_Sender::packet_input

Receives incoming packets.

Definition at line 76 of file selective_repeat.h.

## ack_input

Slot<Selective_Repeat_ARQ_Sender, Array<Packet*> > itpp::Selective_Repeat_ARQ_Sender::ack_input

Receives incoming ack/nacks.

Definition at line 77 of file selective_repeat.h.

## query_nof_ready_packets

Slot<Selective_Repeat_ARQ_Sender, void*> itpp::Selective_Repeat_ARQ_Sender::query_nof_ready_packets

Receives incoming query for number of packets ready to transmit.

Definition at line 78 of file selective_repeat.h.

## packet_output_request

Slot<Selective_Repeat_ARQ_Sender, int> itpp::Selective_Repeat_ARQ_Sender::packet_output_request

Receives incoming packet output requests.

Definition at line 79 of file selective_repeat.h.

## packet_output

Signal<Array<Packet*> > itpp::Selective_Repeat_ARQ_Sender::packet_output

Delivers transmitted packets.

Definition at line 82 of file selective_repeat.h.

## nof_ready_packets

Signal<int> itpp::Selective_Repeat_ARQ_Sender::nof_ready_packets

Delivers no ready packets.

Definition at line 83 of file selective_repeat.h.

## buffer_overflow

Signal<int> itpp::Selective_Repeat_ARQ_Sender::buffer_overflow

Signals buffer overflows.

Definition at line 84 of file selective_repeat.h.

The documentation for this class was generated from the following file:

- itpp/protocol/selective_repeat.h

Generated on Mon Jun 10 2024 11:49:40 for IT++ by Doxygen 1.9.8